# Event_Handler_T.h File Reference

`#include "ace/Event_Handler.h"`
`#include "ace/Event_Handler_T.inl"`
`#include "ace/Event_Handler_T.cpp"`

Include dependency graph for Event_Handler_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Event_Handler_T< T >
| Enable a class that doesn't inherit from the ACE_Event_Handler to be incorporated into the ACE_Reactor framework. Thanks to Greg Lavender (g.lavender@isode.com) for sharing this idea. More...

## Detailed Description

Id
  Event_Handler_T.h,v 4.19 2005/10/28 16:14:52 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>